The events that could be emitted by a RealTimeArray or HistoricalArray.

### Hierarchy

- ObservableElementEvents
  - ObservableArrayEvents
    - RealTimeArrayEvents
    - HistoricalArrayEvents

## Index

### Events

- DETACHED
- INSERT
- MODEL_CHANGED
- REFERENCE
- REMOVE
- REORDER
- SET
- VALUE

## Events

### DETACHED

DETACHED: string

Inherited from ObservableObjectEvents.DETACHED

Emitted when this element becomes detached, which typically happens when the element is removed from its parent. An ElementDetachedEvent is the actual emitted event.

### INSERT

INSERT: string

Emitted when a new value is inserted into a RealTimeArray. The emitted event is an ArrayInsertEvent.

### MODEL_CHANGED

MODEL_CHANGED: string

Inherited from ObservableObjectEvents.MODEL_CHANGED

Emitted when any child element of this element has a change. See ModelChangedEvent for details.

### REFERENCE

REFERENCE: string

Inherited from ObservableObjectEvents.REFERENCE

Emitted when a remote reference is created on this RealTimeElement. See RemoteReferenceCreatedEvent for the actual emitted event.

### REMOVE

REMOVE: string

Emitted when an existing value is removed from a RealTimeArray. See ArrayRemoveEvent for the actual emitted event.

### REORDER

REORDER: string

Emitted when the ordering of a RealTimeArray changes. See ArrayReorderEvent for the actual emitted event.

### SET

SET: string

Emitted when a value is set on an RealTimeArray. See ArraySetEvent for the actual emitted event.

### VALUE

VALUE: string

Overrides ObservableElementEvents.VALUE

Emitted when the entire value of a RealTimeArray is set, meaning its entire contents were replaced (or initially set). See ArraySetValueEvent for the actual emitted event.